Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.paging
Class SortCriteria

    java.lang.Object
      com.bea.content.paging.SortCriteria

All Implemented Interfaces
  Serializable

    public class SortCriteria

extends Object
implements Serializable

query sort criteria

See Also
  Serialized Form

Field Summary
`static SortCriteria` | `UNSORTED` unsorted sort criteria

Constructor Summary
`SortCriteria()` Construct a SortCriteria using SortOrder.UNSORTED.
`SortCriteria(SortOrder order)` Construct a SortCriteria.
`SortCriteria(SortOrder order, String property)` Construct a SortCriteria.
`SortCriteria(SortOrder order, String property, Locale locale)` Construct a SortCriteria.

Method Summary
`boolean` | `equals(Object obj)`
`Locale` | `getLocale()` Get the locale.
`SortOrder` | `getOrder()` Get the sort order.
`String` | `getProperty()` Get the sort property name.
`int` | `hashCode()` Override the hashCode because we override equals().
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### UNSORTED

    public static final SortCriteria UNSORTED

  unsorted sort criteria

Constructor Detail

### SortCriteria

    public SortCriteria(SortOrder order,
                        String property,
                        Locale locale)

  Construct a SortCriteria.

  Parameters
    `order` - The sort order.
    `property` - The sort property name.
    `locale` - The locale.

### SortCriteria

    public SortCriteria(SortOrder order,
                        String property)

  Construct a SortCriteria.

  Parameters
    `order` - The sort order.
    `property` - The sort property name.

### SortCriteria

    public SortCriteria(SortOrder order)

  Construct a SortCriteria.

  Parameters
    `order` - The sort order.

### SortCriteria

    public SortCriteria()

  Construct a SortCriteria using SortOrder.UNSORTED.

Method Detail

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Override the hashCode because we override equals().

  Overrides:
    `hashCode` in class `Object`

### getOrder

    public SortOrder getOrder()

  Get the sort order.

  Returns
    The sort order.

### getProperty

    public String getProperty()

  Get the sort property name.

  Returns
    The sort property name.

### getLocale

    public Locale getLocale()

  Get the locale.

  Returns
    The locale.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.